package com.cm.common.pojo.bos;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName: RoleBO
 * @Description: 角色
 * @Author: WangGeng
 * @Date: 2019/3/14 9:29 PM
 * @Version: 1.0
 **/
public class RoleBO implements Serializable {

    private static final long serialVersionUID = 3106644672498095887L;
    private String roleId;
    private String roleName;
    private String roleSummary;
    private String roleDataAuthority;
    private List<RoleMenuBO> apiSaveMenu = new ArrayList<>();
    private List<RoleMenuBO> apiDeleteMenu = new ArrayList<>();
    private List<RoleMenuBO> apiUpdateMenu = new ArrayList<>();
    private List<RoleMenuBO> apiQueryMenu = new ArrayList<>();
    private List<RoleMenuBO> resourceSaveMenu = new ArrayList<>();
    private List<RoleMenuBO> resourceDeleteMenu = new ArrayList<>();
    private List<RoleMenuBO> resourceUpdateMenu = new ArrayList<>();
    private List<RoleMenuBO> resourceQueryMenu = new ArrayList<>();
    private List<RoleMenuBO> routeSaveMenu = new ArrayList<>();
    private List<RoleMenuBO> routeUpdateMenu = new ArrayList<>();
    private List<RoleMenuBO> routeQueryMenu = new ArrayList<>();
    private List<PermissionBO> permissionInsert = new ArrayList<>();
    private List<PermissionBO> permissionDelete = new ArrayList<>();
    private List<PermissionBO> permissionUpdate = new ArrayList<>();
    private List<PermissionBO> permissionQuery = new ArrayList<>();

    public String getRoleId() {
        return roleId == null ? "" : roleId.trim();
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName == null ? "" : roleName.trim();
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getRoleSummary() {
        return roleSummary == null ? "" : roleSummary.trim();
    }

    public void setRoleSummary(String roleSummary) {
        this.roleSummary = roleSummary;
    }

    public String getRoleDataAuthority() {
        return roleDataAuthority == null ? "" : roleDataAuthority.trim();
    }

    public void setRoleDataAuthority(String roleDataAuthority) {
        this.roleDataAuthority = roleDataAuthority;
    }

    public List<RoleMenuBO> getApiSaveMenu() {
        return apiSaveMenu;
    }

    public void setApiSaveMenu(List<RoleMenuBO> apiSaveMenu) {
        this.apiSaveMenu = apiSaveMenu;
    }

    public List<RoleMenuBO> getApiDeleteMenu() {
        return apiDeleteMenu;
    }

    public void setApiDeleteMenu(List<RoleMenuBO> apiDeleteMenu) {
        this.apiDeleteMenu = apiDeleteMenu;
    }

    public List<RoleMenuBO> getApiUpdateMenu() {
        return apiUpdateMenu;
    }

    public void setApiUpdateMenu(List<RoleMenuBO> apiUpdateMenu) {
        this.apiUpdateMenu = apiUpdateMenu;
    }

    public List<RoleMenuBO> getApiQueryMenu() {
        return apiQueryMenu;
    }

    public void setApiQueryMenu(List<RoleMenuBO> apiQueryMenu) {
        this.apiQueryMenu = apiQueryMenu;
    }

    public List<RoleMenuBO> getResourceSaveMenu() {
        return resourceSaveMenu;
    }

    public void setResourceSaveMenu(List<RoleMenuBO> resourceSaveMenu) {
        this.resourceSaveMenu = resourceSaveMenu;
    }

    public List<RoleMenuBO> getResourceDeleteMenu() {
        return resourceDeleteMenu;
    }

    public void setResourceDeleteMenu(List<RoleMenuBO> resourceDeleteMenu) {
        this.resourceDeleteMenu = resourceDeleteMenu;
    }

    public List<RoleMenuBO> getResourceUpdateMenu() {
        return resourceUpdateMenu;
    }

    public void setResourceUpdateMenu(List<RoleMenuBO> resourceUpdateMenu) {
        this.resourceUpdateMenu = resourceUpdateMenu;
    }

    public List<RoleMenuBO> getResourceQueryMenu() {
        return resourceQueryMenu;
    }

    public void setResourceQueryMenu(List<RoleMenuBO> resourceQueryMenu) {
        this.resourceQueryMenu = resourceQueryMenu;
    }

    public List<RoleMenuBO> getRouteSaveMenu() {
        return routeSaveMenu;
    }

    public void setRouteSaveMenu(List<RoleMenuBO> routeSaveMenu) {
        this.routeSaveMenu = routeSaveMenu;
    }

    public List<RoleMenuBO> getRouteUpdateMenu() {
        return routeUpdateMenu;
    }

    public void setRouteUpdateMenu(List<RoleMenuBO> routeUpdateMenu) {
        this.routeUpdateMenu = routeUpdateMenu;
    }

    public List<RoleMenuBO> getRouteQueryMenu() {
        return routeQueryMenu;
    }

    public void setRouteQueryMenu(List<RoleMenuBO> routeQueryMenu) {
        this.routeQueryMenu = routeQueryMenu;
    }

    public List<PermissionBO> getPermissionInsert() {
        return permissionInsert;
    }

    public void setPermissionInsert(List<PermissionBO> permissionInsert) {
        this.permissionInsert = permissionInsert;
    }

    public List<PermissionBO> getPermissionDelete() {
        return permissionDelete;
    }

    public void setPermissionDelete(List<PermissionBO> permissionDelete) {
        this.permissionDelete = permissionDelete;
    }

    public List<PermissionBO> getPermissionUpdate() {
        return permissionUpdate;
    }

    public void setPermissionUpdate(List<PermissionBO> permissionUpdate) {
        this.permissionUpdate = permissionUpdate;
    }

    public List<PermissionBO> getPermissionQuery() {
        return permissionQuery;
    }

    public void setPermissionQuery(List<PermissionBO> permissionQuery) {
        this.permissionQuery = permissionQuery;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"roleId\":")
                .append("\"").append(roleId).append("\"");
        sb.append(",\"roleName\":")
                .append("\"").append(roleName).append("\"");
        sb.append(",\"roleSummary\":")
                .append("\"").append(roleSummary).append("\"");
        sb.append(",\"roleDataAuthority\":")
                .append("\"").append(roleDataAuthority).append("\"");
        sb.append(",\"apiSaveMenu\":")
                .append(apiSaveMenu);
        sb.append(",\"apiDeleteMenu\":")
                .append(apiDeleteMenu);
        sb.append(",\"apiUpdateMenu\":")
                .append(apiUpdateMenu);
        sb.append(",\"apiQueryMenu\":")
                .append(apiQueryMenu);
        sb.append(",\"resourceSaveMenu\":")
                .append(resourceSaveMenu);
        sb.append(",\"resourceDeleteMenu\":")
                .append(resourceDeleteMenu);
        sb.append(",\"resourceUpdateMenu\":")
                .append(resourceUpdateMenu);
        sb.append(",\"resourceQueryMenu\":")
                .append(resourceQueryMenu);
        sb.append(",\"routeSaveMenu\":")
                .append(routeSaveMenu);
        sb.append(",\"routeUpdateMenu\":")
                .append(routeUpdateMenu);
        sb.append(",\"routeQueryMenu\":")
                .append(routeQueryMenu);
        sb.append(",\"permissionInsert\":")
                .append(permissionInsert);
        sb.append(",\"permissionDelete\":")
                .append(permissionDelete);
        sb.append(",\"permissionUpdate\":")
                .append(permissionUpdate);
        sb.append(",\"permissionQuery\":")
                .append(permissionQuery);
        sb.append('}');
        return sb.toString();
    }
}
